Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022663
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-12-21 14:302013-02-01 22:28
ReporterjecharriView Statuspublic 
Assigned Todmiguelez 
PriorityhighResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revisionf01e796f420f
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojecharri
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022663: Not possible to import statement with "older" date

DescriptionNot possible to import statement with "older" date

Currently we do not allow to do that, but it is necessary to allow importing the ticket but not to process.

So we should display a warning message telling that the user need to change the date for lines 10,20,10... for example.
Steps To ReproduceTry to import a banck statement line file with older bank statements lines that the previous reconciliation.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055944)
hgbot (developer)
2013-01-29 12:47

Repository: erp/devel/pi
Changeset: f01e796f420fcfab9f411b8983e4c36941677092
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jan 29 12:47:05 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f01e796f420fcfab9f411b8983e4c36941677092 [^]

Fixes Issue 22663. Allows to Import lines with older date, but not
to process them.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_BankStatementProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_BankStatementImport.java
---
(0055953)
hgbot (developer)
2013-01-29 17:18

Repository: erp/devel/pi
Changeset: 81295cf8b1e806d104f96f6108d47ec681ca8b08
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jan 29 17:18:03 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/81295cf8b1e806d104f96f6108d47ec681ca8b08 [^]

issue 22663: Not possible to import statement with "older" date

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_BankStatementProcess.java
---
(0055954)
jecharri (developer)
2013-01-29 17:19

Verified and working
(0056080)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test
(0056086)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-12-21 14:30 jecharri New Issue
2012-12-21 14:30 jecharri Assigned To => dmiguelez
2012-12-21 14:30 jecharri Web browser => Google Chrome
2012-12-21 14:30 jecharri Modules => Core
2012-12-21 14:30 jecharri Triggers an Emergency Pack => No
2012-12-24 10:59 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-01-09 11:27 jonalegriaesarte Web browser Google Chrome => Google Chrome
2013-01-09 11:27 jonalegriaesarte Target Version 3.0MP19 => 3.0MP20
2013-01-23 10:58 jonalegriaesarte Assigned To jonalegriaesarte => dmiguelez
2013-01-29 12:47 hgbot Checkin
2013-01-29 12:47 hgbot Note Added: 0055944
2013-01-29 12:47 hgbot Status new => resolved
2013-01-29 12:47 hgbot Resolution open => fixed
2013-01-29 12:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f01e796f420fcfab9f411b8983e4c36941677092 [^]
2013-01-29 17:18 hgbot Checkin
2013-01-29 17:18 hgbot Note Added: 0055953
2013-01-29 17:19 jecharri Review Assigned To => jecharri
2013-01-29 17:19 jecharri Note Added: 0055954
2013-01-29 17:19 jecharri Status resolved => closed
2013-01-29 17:19 jecharri Fixed in Version => 3.0MP20
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056080
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056086


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker